## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pytest-lsp
Version:        0.4.3
Release:        %autorelease
Summary:        A pytest plugin for end-to-end testing of language servers

License:        MIT
URL:            https://github.com/swyddfa/lsp-devtools
Source:         %{url}/releases/download/pytest-lsp-v%{version}/pytest_lsp-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
pytest-lsp is a pytest plugin for writing end-to-end tests for language servers.

It works by running the language server in a subprocess and communicating with
it over stdio, just like a real language client. This also means pytest-lsp can
be used to test language servers written in any language - not just Python.

pytest-lsp relies on the pygls library for its language server protocol
implementation.}

%description %_description

%package -n     python3-pytest-lsp
Summary:        %{summary}

%description -n python3-pytest-lsp %_description

%prep
%autosetup -p1 -n pytest_lsp-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_lsp

%check
%pytest

%files -n python3-pytest-lsp -f %{pyproject_files}

%changelog
## START: Generated by rpmautospec
* Tue Sep 03 2024 Packit <hello@packit.dev> - 0.4.3-1
- Update to 0.4.3 upstream release
- Resolves: rhbz#2282806

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 17 2024 Python Maint <python-maint@redhat.com> - 0.4.2-2
- Rebuilt for Python 3.13

* Thu May 23 2024 topazus <topazus@outlook.com> - 0.4.2-1
- 0.4.2

* Fri Apr 12 2024 Packit <hello@packit.dev> - 0.4.1-1
- Update to 0.4.1 upstream release
- Resolves: rhbz#2263341

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 topazus <topazus@outlook.com> - 0.4.0-2
- fix packit

* Sun Dec 31 2023 topazus <topazus@outlook.com> - 0.4.0-1
- initial import; rhbz#2256255
## END: Generated by rpmautospec
